using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace InABox.DynamicGrid
{
    public abstract class DynamicEditorGridLayout : ContentControl
    {

        public delegate void SelectPageHandler(IDynamicEditorPage page);

        public event SelectPageHandler? OnSelectPage;

        protected void SelectPage(IDynamicEditorPage page)
        {
            OnSelectPage?.Invoke(page);
        }

        public abstract void LoadPages(IEnumerable<IDynamicEditorPage> pages);
    }
}
